[csw-devel] SF.net SVN: gar:[2386] csw/mgar/pkg
bdwalton at users.sourceforge.net
bdwalton at users.sourceforge.net
Fri Nov 28 22:36:38 CET 2008
Revision: 2386
http://gar.svn.sourceforge.net/gar/?rev=2386&view=rev
Author: bdwalton
Date: 2008-11-28 21:36:38 +0000 (Fri, 28 Nov 2008)
Log Message:
-----------
Converted the rhel5 sgml-common source rpm to something usable in a CSW
environment.
Added Paths:
-----------
csw/mgar/pkg/sgml-xml-common/
csw/mgar/pkg/sgml-xml-common/branches/
csw/mgar/pkg/sgml-xml-common/tags/
csw/mgar/pkg/sgml-xml-common/trunk/
csw/mgar/pkg/sgml-xml-common/trunk/Makefile
csw/mgar/pkg/sgml-xml-common/trunk/checksums
csw/mgar/pkg/sgml-xml-common/trunk/files/
csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.depend
csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.gspec
csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.prototype
csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.gspec
csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.prototype
csw/mgar/pkg/sgml-xml-common/trunk/files/configure-man.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/html.dcl
csw/mgar/pkg/sgml-xml-common/trunk/files/html.soc
csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-man.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-sanity.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-0.6.3-docdir.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-automake.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-quotes.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-umask.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-xmldir.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/sgmlwhich-sanity.patch
csw/mgar/pkg/sgml-xml-common/trunk/files/xml.dcl
csw/mgar/pkg/sgml-xml-common/trunk/files/xml.soc
Property changes on: csw/mgar/pkg/sgml-xml-common/trunk
___________________________________________________________________
Added: svn:ignore
+ cookies
download
work
Added: svn:externals
+ gar https://gar.svn.sf.net/svnroot/gar/csw/mgar/gar/v1
Added: csw/mgar/pkg/sgml-xml-common/trunk/Makefile
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/Makefile (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/Makefile 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,90 @@
+GARNAME = sgml-common
+GARVERSION = 0.6.3
+#since categories are a bit of a relic and this doesn't fit better anywhere
+#else anyway...
+CATEGORIES = xtra
+
+DESCRIPTION = A collection of entities and DTDs
+define BLURB
+The sgml-common package contains a collection of entities and DTDs
+that are useful for processing SGML, but that don't need to be
+included in multiple packages. Sgml-common also includes an
+up-to-date Open Catalog file.
+endef
+
+PREREQUISITE_PKGS = CSWautomake CSWautoconf
+
+EXTRA_FILES = xml.dcl html.dcl xml.soc html.soc
+
+MASTER_SITES = ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/
+DISTFILES = $(GARNAME)-$(GARVERSION).tgz
+DISTFILES += $(call admfiles,CSWsgmlcommon,)
+DISTFILES += $(call admfiles,CSWxmlcommon,)
+DISTFILES += $(EXTRA_FILES)
+
+PATCHFILES = sgml-common-0.6.3-docdir.patch sgml-common-automake.patch
+PATCHFILES += sgml-common-quotes.patch sgml-common-umask.patch
+PATCHFILES += sgml-common-xmldir.patch install-catalog-sanity.patch
+PATCHFILES += sgmlwhich-sanity.patch configure-man.patch
+PATCHFILES += install-catalog-man.patch
+
+CONFIGURE_ARGS = $(DIRPATHS) --with-docdir=$(datadir)/doc
+
+TEST_TARGET =
+
+# The redhat tarball includes specific links to their standard automake
+# install location. We'll need to reset some of these to be appropriate
+# to CSW
+RH_AM_LINKS = install-sh missing mkinstalldirs
+
+# a destination xml catalog
+XMLCATALOG=$(DESTDIR)/$(sysconfdir)/xml/catalog
+
+include gar/category.mk
+
+# fix up auto* stuff
+pre-configure:
+ ( cd $(WORKSRC)/; \
+ for f in $(RH_AM_LINKS); do \
+ rm $$f; \
+ done; \
+ aclocal; \
+ autoconf; \
+ automake --add-missing --copy )
+ @$(MAKECOOKIE)
+
+post-install:
+ # this is almost 100% copy from the sgml-common rpm spec from rhel5
+ mkdir -p $(DESTDIR)/$(sysconfdir)/xml
+ mkdir -p $(DESTDIR)/$(datadir)/sgml/docbook
+ # create empty xml catalog
+ xmlcatalog --noout --create $(XMLCATALOG)
+ # now put the common docbook entries in it
+ xmlcatalog --noout --add "delegatePublic" \
+ "-//OASIS//ENTITIES DocBook XML" \
+ "file://$(datadir)/sgml/docbook/xmlcatalog" $(XMLCATALOG)
+ xmlcatalog --noout --add "delegatePublic" \
+ "-//OASIS//DTD DocBook XML" \
+ "file://$(datadir)/sgml/docbook/xmlcatalog" $(XMLCATALOG)
+ xmlcatalog --noout --add "delegatePublic" \
+ "ISO 8879:1986" \
+ "file://$(datadir)/sgml/docbook/xmlcatalog" $(XMLCATALOG)
+ xmlcatalog --noout --add "delegateSystem" \
+ "http://www.oasis-open.org/docbook/" \
+ "file://$(datadir)/sgml/docbook/xmlcatalog" $(XMLCATALOG)
+ xmlcatalog --noout --add "delegateURI" \
+ "http://www.oasis-open.org/docbook/" \
+ "file://$(datadir)/sgml/docbook/xmlcatalog" $(XMLCATALOG)
+ # Also create the common DocBook catalog
+
+ xmlcatalog --noout --create \
+ $(DESTDIR)/$(datadir)/sgml/docbook/xmlcatalog
+ rm -f $(DESTDIR)/$(datadir)/sgml/xml.dcl
+ for f in $(EXTRA_FILES); do \
+ ginstall -m0644 $(WORKSRC)/../$$f $(DESTDIR)/$(datadir)/sgml; \
+ done
+ rm -rf $(DESTDIR)/$(datadir)/xml/*
+ @$(MAKECOOKIE)
+
+inst-clean:
+ rm -rf $(DESTDIR)
Added: csw/mgar/pkg/sgml-xml-common/trunk/checksums
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/checksums (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/checksums 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,16 @@
+103c9828f24820df86e55e7862e28974 download/sgml-common-0.6.3.tgz
+8344f78748603b2870f2d7f401ef49eb download/CSWsgmlcommon.gspec
+f68c56d0904b311d4d254130a63eeee6 download/CSWxmlcommon.gspec
+9ef2e183281920ecced665a3f644bace download/xml.dcl
+e0135e28b7f6c566a3e0ee379528091b download/html.dcl
+8f56c7a27cbe7c8251a385ddb90dd641 download/xml.soc
+cc6d164ed52f3d96f8e520255bf650ff download/html.soc
+7296f5f2cf78a74f94f5e1ceb48e3555 download/sgml-common-0.6.3-docdir.patch
+dcda4302e1b43256a55a658280651f42 download/sgml-common-automake.patch
+24ff49d6310889d0f423b35893623151 download/sgml-common-quotes.patch
+b51552a733ae70753b6e7ea997a4e482 download/sgml-common-umask.patch
+d36dcc47efa67f41d7e406386754bb67 download/sgml-common-xmldir.patch
+c88f3684fc232953555393fb8e0de9e4 download/install-catalog-sanity.patch
+b35d53333ca6dbc6cd96f0135cd4f85d download/sgmlwhich-sanity.patch
+99ac766ea29643aa33236a39596d943c download/configure-man.patch
+12b32f2a5ad0ab2edb70bfb83f3aecd6 download/install-catalog-man.patch
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.depend
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.depend (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.depend 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,3 @@
+P CSWbash bash - A sh-compatible command language interpreter
+P CSWggrep ggrep - GNU grep
+
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.gspec
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.gspec (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.gspec 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,5 @@
+%var bitname sgmlcommon
+%var pkgname CSWsgmlcommon
+%var arch all
+%include url file://%{PKGLIB}/csw_dyndepend.gspec
+%copyright url file://%{WORKSRC}/COPYING
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.prototype
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.prototype (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/CSWsgmlcommon.prototype 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,46 @@
+d none /opt/csw/bin 0755 root bin
+f none /opt/csw/bin/install-catalog 0755 root bin
+f none /opt/csw/bin/sgmlwhich 0755 root bin
+d none /opt/csw/etc 0755 root bin
+d none /opt/csw/etc/sgml 0755 root bin
+f none /opt/csw/etc/sgml/sgml.conf 0644 root bin
+d none /opt/csw/share 0755 root bin
+d none /opt/csw/share/doc 0755 root bin
+d none /opt/csw/share/doc/sgml-common-0.6.3 0755 root bin
+d none /opt/csw/share/doc/sgml-common-0.6.3/html 0755 root bin
+f none /opt/csw/share/doc/sgml-common-0.6.3/html/fdl.html 0644 root bin
+f none /opt/csw/share/doc/sgml-common-0.6.3/html/index.html 0644 root bin
+f none /opt/csw/share/doc/sgml-common-0.6.3/html/install-catalog.html 0644 root bin
+f none /opt/csw/share/doc/sgml-common-0.6.3/html/introduction.html 0644 root bin
+d none /opt/csw/share/man 0755 root bin
+d none /opt/csw/share/man/man8 0755 root bin
+f none /opt/csw/share/man/man8/install-catalog.8 0644 root bin
+d none /opt/csw/share/sgml 0755 root bin
+f none /opt/csw/share/sgml/html.dcl 0644 root bin
+f none /opt/csw/share/sgml/html.soc 0644 root bin
+d none /opt/csw/share/sgml/sgml-iso-entities-8879.1986 0755 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOamsa.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOamsb.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOamsc.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOamsn.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOamso.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOamsr.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISObox.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOcyr1.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOcyr2.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOdia.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOgrk1.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOgrk2.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOgrk3.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOgrk4.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOlat1.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOlat2.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOnum.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOpub.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/ISOtech.ent 0644 root bin
+f none /opt/csw/share/sgml/sgml-iso-entities-8879.1986/catalog 0644 root bin
+f none /opt/csw/share/sgml/xml.dcl 0644 root bin
+f none /opt/csw/share/sgml/xml.soc 0644 root bin
+i copyright=CSWsgmlcommon.copyright
+i depend=CSWsgmlcommon.depend
+i pkginfo=CSWsgmlcommon.pkginfo
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.gspec
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.gspec (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.gspec 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,5 @@
+%var bitname xmlcommon
+%var pkgname CSWxmlcommon
+%var arch all
+%include url file://%{PKGLIB}/csw_dyndepend.gspec
+%copyright url file://%{WORKSRC}/COPYING
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.prototype
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.prototype (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/CSWxmlcommon.prototype 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,11 @@
+d none /opt/csw/etc 0755 root bin
+d none /opt/csw/etc/xml 0755 root bin
+f none /opt/csw/etc/xml/catalog 0644 root bin
+d none /opt/csw/share 0755 root bin
+d none /opt/csw/share/sgml 0755 root bin
+d none /opt/csw/share/sgml/docbook 0755 root bin
+f none /opt/csw/share/sgml/docbook/xmlcatalog 0644 root bin
+d none /opt/csw/share/xml 0755 root bin
+i copyright=CSWxmlcommon.copyright
+i depend=CSWxmlcommon.depend
+i pkginfo=CSWxmlcommon.pkginfo
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/configure-man.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/configure-man.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/configure-man.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,8 @@
+--- sgml-common-0.6.3/configure.in.orig 2008-11-28 22:04:44.893533998 +0100
++++ sgml-common-0.6.3/configure.in 2008-11-28 22:04:47.739223899 +0100
+@@ -20,4 +20,5 @@
+ bin/Makefile bin/install-catalog \
+ config/Makefile \
+ doc/Makefile doc/HTML/Makefile doc/man/Makefile doc/refentry/Makefile \
++ doc/man/install-catalog.8 \
+ sgml-iso-entities/Makefile xml-iso-entities/Makefile)
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/html.dcl
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/html.dcl (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/html.dcl 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,88 @@
+<!SGML "ISO 8879:1986"
+--
+ SGML Declaration for HyperText Markup Language (HTML).
+
+--
+
+CHARSET
+ BASESET "ISO 646:1983//CHARSET
+ International Reference Version
+ (IRV)//ESC 2/5 4/0"
+ DESCSET 0 9 UNUSED
+ 9 2 9
+ 11 2 UNUSED
+ 13 1 13
+ 14 18 UNUSED
+ 32 95 32
+ 127 1 UNUSED
+ BASESET "ISO Registration Number 100//CHARSET
+ ECMA-94 Right Part of
+ Latin Alphabet Nr. 1//ESC 2/13 4/1"
+
+ DESCSET 128 32 UNUSED
+ 160 96 32
+
+CAPACITY SGMLREF
+ TOTALCAP 150000
+ GRPCAP 150000
+ ENTCAP 150000
+
+SCOPE DOCUMENT
+SYNTAX
+ SHUNCHAR CONTROLS 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
+ 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 127
+ BASESET "ISO 646:1983//CHARSET
+ International Reference Version
+ (IRV)//ESC 2/5 4/0"
+ DESCSET 0 128 0
+ FUNCTION
+ RE 13
+ RS 10
+ SPACE 32
+ TAB SEPCHAR 9
+
+
+ NAMING LCNMSTRT ""
+ UCNMSTRT ""
+ LCNMCHAR ".-"
+ UCNMCHAR ".-"
+ NAMECASE GENERAL YES
+ ENTITY NO
+ DELIM GENERAL SGMLREF
+ SHORTREF SGMLREF
+ NAMES SGMLREF
+ QUANTITY SGMLREF
+ ATTSPLEN 2100
+ LITLEN 1024
+ NAMELEN 72 -- somewhat arbitrary; taken from
+ internet line length conventions --
+ PILEN 1024
+ TAGLVL 100
+ TAGLEN 2100
+ GRPGTCNT 150
+ GRPCNT 64
+
+FEATURES
+ MINIMIZE
+ DATATAG NO
+ OMITTAG YES
+ RANK NO
+ SHORTTAG YES
+ LINK
+ SIMPLE NO
+ IMPLICIT NO
+ EXPLICIT NO
+ OTHER
+ CONCUR NO
+ SUBDOC NO
+ FORMAL YES
+ APPINFO "SDA" -- conforming SGML Document Access application
+ --
+>
+<!--
+ $Id: html.dcl,v 1.1.1.1 1999/05/02 12:50:44 Avi Exp $
+
+ Author: Daniel W. Connolly <connolly at w3.org>
+
+ See also: http://www.w3.org/hypertext/WWW/MarkUp/MarkUp.html
+ -->
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/html.soc
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/html.soc (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/html.soc 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,31 @@
+ -- catalog: SGML Open style entity catalog for HTML --
+ -- $Id: html.soc,v 1.1.1.2 1999/05/02 15:41:46 Avi Exp $ --
+ -- Hacked by jjc --
+
+ -- Ways to refer to Level 2: most general to most specific --
+PUBLIC "-//IETF//DTD HTML//EN" html.dtd
+PUBLIC "-//IETF//DTD HTML 2.0//EN" html.dtd
+PUBLIC "-//IETF//DTD HTML Level 2//EN" html.dtd
+PUBLIC "-//IETF//DTD HTML 2.0 Level 2//EN" html.dtd
+
+ -- Ways to refer to Level 1: most general to most specific --
+PUBLIC "-//IETF//DTD HTML Level 1//EN" html-1.dtd
+PUBLIC "-//IETF//DTD HTML 2.0 Level 1//EN" html-1.dtd
+
+ -- Ways to refer to
+ Strict Level 2: most general to most specific --
+PUBLIC "-//IETF//DTD HTML Strict//EN" html-s.dtd
+PUBLIC "-//IETF//DTD HTML 2.0 Strict//EN" html-s.dtd
+PUBLIC "-//IETF//DTD HTML Strict Level 2//EN" html-s.dtd
+PUBLIC "-//IETF//DTD HTML 2.0 Strict Level 2//EN" html-s.dtd
+
+ -- Ways to refer to
+ Strict Level 1: most general to most specific --
+PUBLIC "-//IETF//DTD HTML Strict Level 1//EN" html-1s.dtd
+PUBLIC "-//IETF//DTD HTML 2.0 Strict Level 1//EN" html-1s.dtd
+
+ -- ISO latin 1 entity set for HTML --
+PUBLIC "ISO 8879-1986//ENTITIES Added Latin 1//EN//HTML" ISOlat1.sgm
+
+SGMLDECL html.dcl
+DOCTYPE html html.dtd
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-man.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-man.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-man.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,115 @@
+--- /dev/null 2008-11-28 22:06:30.000000000 +0100
++++ sgml-common-0.6.3/doc/man/install-catalog.8.in 2008-11-28 22:07:57.781820323 +0100
+@@ -0,0 +1,112 @@
++.\" This manpage has been automatically generated by docbook2man
++.\" from a DocBook document. This tool can be found at:
++.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/>
++.\" Please send any bug reports, improvements, comments, patches,
++.\" etc. to Steve Cheng <steve at ggi-project.org>.
++.TH "INSTALL-CATALOG" "8" "04 August 2000" "" ""
++.SH NAME
++install-catalog \- Manage a SGML or XML centralized catalog
++.SH SYNOPSIS
++
++\fBinstall-catalog\fR [ \fBoption \fR] \fBaction \fR\fI ...\fR [ \fB [ -d] [ --delegate] \fR] [ \fB [ -a \fIcentralized\fB \fIordinary\fB] [ --add \fIcentralized\fB \fIordinary\fB]
++
++ [ -r \fIcentralized\fB \fIordinary\fB] [ --remove \fIcentralized\fB \fIordinary\fB]
++
++ [ -h] [ --help]
++
++ [ -v] [ --version] \fR]
++
++.SH "DESCRIPTION"
++.PP
++This shell script allows to handle a centralized catalog
++referencing other "ordinary" SGML or XML Open Catalogs.
++.PP
++An \fIOpen Catalog\fR contains
++a set of directives defined by OASIS, mostly used
++for defining equivalences between FPIs (Formal Public
++Identifiers) and real file names (see TR9401:1997 on http://www.oasis-open.org <URL:http://www.oasis-open.org>).
++The Open Catalogs usually reside in
++\fI at datadir@/sgml\fR.
++.PP
++A \fIcentralized catalog\fR is a special
++Open Catalog that includes only comments and CATALOG directives
++pointing to other catalogs (or DELEGATE directives if supported). The
++centralized catalog can be the key to all other SGML resources. It
++usually resides in \fI at sysconfdir@/sgml\fR.
++.PP
++The centralized catalog can be edited manually or through the
++\fBinstall-catalog\fR script to add or remove
++references to other ordinary catalogs. This script is mainly destined
++to software package post-installation scripts.
++.PP
++An example of a typical call to install-catalog is:
++
++.nf
++ install-catalog --add \\
++ @datadir@/sgml/docbook/dsssl-stylesheets-1.54/catalog \\
++ @sysconfdir@/sgml/sgml-docbook-4.0.cat
++
++.fi
++.PP
++This call will install in
++\fI at sysconfdir@/sgml/sgml-docbook-4.0.cat\fR a reference to
++\fI at datadir@/sgml/docbook/dsssl-stylesheets-1.54/catalog\fR.
++.SH "OPTIONS"
++.PP
++Here is the list of options that can influence the way
++\fBinstall-catalog\fR works:
++
++ [ \fB [ -d] [ --delegate] \fR]
++
++.PP
++Use DELEGATE instead of CATALOG directives to specify a pointer
++.SH "ACTIONS"
++.PP
++Here is the list of actions that can be requested to
++\fBinstall-catalog\fR:
++
++ [ \fB [ -a \fIcentralized\fB \fIordinary\fB] [ --add \fIcentralized\fB \fIordinary\fB] \fR]
++
++.PP
++Declare a new SGML package.
++
++ [ \fB [ -r \fIcentralized\fB \fIordinary\fB] [ --remove \fIcentralized\fB \fIordinary\fB] \fR]
++
++.PP
++Remove a previously installed SGML package.
++
++ [ \fB [ -h] [ --help] \fR]
++
++.PP
++Print a short help message and exit
++
++ [ \fB [ -v] [ --version] \fR]
++
++.PP
++Print the version identifier and exit
++.SH "FILES"
++\fI at sysconfdir@/sgml/*\fR
++.PP
++The SGML centralized catalogs
++.SH "AUTHORS"
++Eric Bischoff <ebisch at cybercable.tm.fr>
++.PP
++Developper of install-catalog.
++.SH "SEE ALSO"
++\fBjw\fR(1)
++.PP
++conversion from DocBook to other file formats
++
++\fB\fR
++
++\fBnsgmls\fR(1)
++.PP
++a base component of \fBJade\fR DSSSL engine
++
++\fB\fR
++
++http://sourceware.cygnus.com/docbook-tools/ <URL:http://sourceware.cygnus.com/docbook-tools/>
++.PP
++the home page of the DocBook tools, a compendium of
++all tools necessary to process DocBook files, including
++the SGML-common stuff.
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-sanity.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-sanity.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/install-catalog-sanity.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,92 @@
+--- sgml-common-0.6.3/bin/install-catalog.in.orig 2008-11-28 19:54:27.707251610 +0100
++++ sgml-common-0.6.3/bin/install-catalog.in 2008-11-28 21:43:50.645887927 +0100
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/opt/csw/bin/bash
+ # Script to install a catalog in the centralized SGML catalog
+ # Send any comments to Eric Bischoff <eric at caldera.de>
+ # This program is under GPL license. See LICENSE file for details.
+@@ -29,6 +29,9 @@
+ SGML_CENTRALIZED=""
+ SGML_ORDINARY=""
+
++CATALOGDIR="@sysconfdir@/sgml"
++CATALOG="$CATALOGDIR/catalog"
++
+ # Process options
+ case $1 in
+ -d|--delegate) SGML_POINTER="DELEGATE"
+@@ -66,23 +69,23 @@
+ esac
+
+ # Check that the super catalog can be created and changed and deleted
+-if [ ! -w /etc/sgml ]
++if [ ! -w "$CATALOGDIR" ]
+ then
+- echo "`basename $0`: unable to write in /etc/sgml." >&2
++ echo "`basename $0`: unable to write in $CATALOGDIR." >&2
+ exit 2
+ fi
+ case $SGML_ACTION in
+ addition)
+- if [ -e /etc/sgml/catalog -a ! -w /etc/sgml/catalog ]
++ if [ -e "$CATALOG" -a ! -w "$CATALOG" ]
+ then
+- echo "`basename $0`: can not modify \"/etc/sgml/catalog\"." >&2
++ echo "`basename $0`: can not modify \"$CATALOG\"." >&2
+ exit 2
+ fi
+ ;;
+ removal)
+- if [ ! -w /etc/sgml/catalog ]
++ if [ ! -w "$CATALOG" ]
+ then
+- echo "`basename $0`: can not modify \"/etc/sgml/catalog\"." >&2
++ echo "`basename $0`: can not modify \"$CATALOG\"." >&2
+ exit 2
+ fi
+ ;;
+@@ -131,24 +134,24 @@
+ case $SGML_ACTION in
+ addition)
+ echo "`basename $0`: addition of $SGML_ORDINARY in $SGML_CENTRALIZED"
+- if grep -q "$SGML_ORDINARY" "$SGML_CENTRALIZED" 2>/dev/null
++ if ggrep -q "$SGML_ORDINARY" "$SGML_CENTRALIZED" 2>/dev/null
+ then
+ echo "Warning: $SGML_ORDINARY is already installed in the centralized catalog $SGML_CENTRALIZED" >&2
+ else
+ echo "$SGML_POINTER \"$SGML_ORDINARY\"" >> "$SGML_CENTRALIZED"
+ fi
+- grep -q "$SGML_CENTRALIZED" /etc/sgml/catalog 2>/dev/null
++ ggrep -q "$SGML_CENTRALIZED" "$CATALOG" 2>/dev/null
+ if [ $? -ne 0 ]
+ then
+- echo "`basename $0`: addition of $SGML_CENTRALIZED in /etc/sgml/catalog"
+- echo "$SGML_POINTER \"$SGML_CENTRALIZED\"" >> /etc/sgml/catalog
++ echo "`basename $0`: addition of $SGML_CENTRALIZED in $CATALOG"
++ echo "$SGML_POINTER \"$SGML_CENTRALIZED\"" >> "$CATALOG"
+ fi
+ ;;
+ removal)
+ echo "`basename $0`: removal of $SGML_ORDINARY from $SGML_CENTRALIZED"
+- if grep -q "$SGML_ORDINARY" "$SGML_CENTRALIZED" 2>/dev/null
++ if ggrep -q "$SGML_ORDINARY" "$SGML_CENTRALIZED" 0>/dev/null
+ then
+- sed -e "\:$SGML_POINTER \"\\?$SGML_ORDINARY\"\\?:d" < "$SGML_CENTRALIZED" > "${SGML_CENTRALIZED}.new"
++ gsed -e "\:$SGML_POINTER \"\\?$SGML_ORDINARY\"\\?:d" < "$SGML_CENTRALIZED" > "${SGML_CENTRALIZED}.new"
+ mv "${SGML_CENTRALIZED}.new" "$SGML_CENTRALIZED"
+ else
+ echo "Warning: $SGML_ORDINARY was not found in the centralized catalog $SGML_CENTRALIZED" >&2
+@@ -156,9 +159,9 @@
+ if [ ! -s "$SGML_CENTRALIZED" ]
+ then
+ rm "$SGML_CENTRALIZED"
+- echo "`basename $0`: removal of $SGML_CENTRALIZED from /etc/sgml/catalog"
+- sed -e "\:$SGML_POINTER \"\\?$SGML_CENTRALIZED\"\\?:d" < /etc/sgml/catalog > /etc/sgml/catalog.new
+- mv /etc/sgml/catalog.new /etc/sgml/catalog
++ echo "`basename $0`: removal of $SGML_CENTRALIZED from $CATALOG"
++ gsed -e "\:$SGML_POINTER \"\\?$SGML_CENTRALIZED\"\\?:d" < "$CATALOG" > "$CATALOG".new
++ mv "$CATALOG".new "$CATALOG"
+ fi
+ ;;
+ esac
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-0.6.3-docdir.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-0.6.3-docdir.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-0.6.3-docdir.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,11 @@
+--- sgml-common-0.6.3/configure.in.docdir 2002-10-23 12:07:31.000000000 +0100
++++ sgml-common-0.6.3/configure.in 2002-10-23 12:08:10.000000000 +0100
+@@ -4,6 +4,8 @@
+ AM_INIT_AUTOMAKE(sgml-common, 0.6.3)
+
+ docdir='$(prefix)/doc'
++AC_ARG_WITH(docdir, [ -with-docdir=DOCDIR documentation directory],
++ docdir=$withval)
+ AC_SUBST(docdir)
+
+ dnl Checks for programs.
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-automake.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-automake.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-automake.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,6 @@
+--- sgml-common-0.6.3/doc/man/Makefile.am.automake Wed Apr 24 11:58:17 2002
++++ sgml-common-0.6.3/doc/man/Makefile.am Wed Apr 24 11:59:02 2002
+@@ -1,2 +1,2 @@
+ man8dir = $(mandir)/man8
+-man8_DATA = *.8
++man8_MANS = install-catalog.8
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-quotes.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-quotes.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-quotes.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,94 @@
+--- sgml-common-0.6.3/bin/install-catalog.in.quotes Mon Nov 5 11:19:23 2001
++++ sgml-common-0.6.3/bin/install-catalog.in Mon Nov 5 11:20:12 2001
+@@ -39,8 +39,8 @@
+ # Process actions
+ case $1 in
+ -a|--add) SGML_ACTION="addition"
+- SGML_CENTRALIZED=$2
+- SGML_ORDINARY=$3
++ SGML_CENTRALIZED="$2"
++ SGML_ORDINARY="$3"
+ ;;
+ -r|--remove) if [ -z "$3" -o "$3" = "--version" ]
+ then
+@@ -48,8 +48,8 @@
+ exit 0
+ fi
+ SGML_ACTION="removal"
+- SGML_CENTRALIZED=$2
+- SGML_ORDINARY=$3
++ SGML_CENTRALIZED="$2"
++ SGML_ORDINARY="$3"
+ ;;
+ -h|--help) echo -e $SGML_HELP_MESSAGE
+ exit 0
+@@ -96,14 +96,14 @@
+ fi
+ case $SGML_ACTION in
+ addition)
+- if [ -e $SGML_CENTRALIZED -a ! -w $SGML_CENTRALIZED ]
++ if [ -e "$SGML_CENTRALIZED" -a ! -w "$SGML_CENTRALIZED" ]
+ then
+ echo "`basename $0`: can not modify \"$SGML_CENTRALIZED\"." >&2
+ exit 2
+ fi
+ ;;
+ removal)
+- if [ ! -w $SGML_CENTRALIZED ]
++ if [ ! -w "$SGML_CENTRALIZED" ]
+ then
+ echo "`basename $0`: can not modify \"$SGML_CENTRALIZED\"." >&2
+ exit 2
+@@ -119,7 +119,7 @@
+ fi
+ case $SGML_ACTION in
+ addition)
+- if [ ! -s $SGML_ORDINARY ]
++ if [ ! -s "$SGML_ORDINARY" ]
+ then
+ echo "`basename $0`: \"$SGML_ORDINARY\" does not exist or is empty." >&2
+ exit 2
+@@ -131,33 +131,33 @@
+ case $SGML_ACTION in
+ addition)
+ echo "`basename $0`: addition of $SGML_ORDINARY in $SGML_CENTRALIZED"
+- if grep -q $SGML_ORDINARY $SGML_CENTRALIZED 2>/dev/null
++ if grep -q "$SGML_ORDINARY" "$SGML_CENTRALIZED" 2>/dev/null
+ then
+ echo "Warning: $SGML_ORDINARY is already installed in the centralized catalog $SGML_CENTRALIZED" >&2
+ else
+- echo "$SGML_POINTER $SGML_ORDINARY" >> $SGML_CENTRALIZED
++ echo "$SGML_POINTER \"$SGML_ORDINARY\"" >> "$SGML_CENTRALIZED"
+ fi
+- grep -q $SGML_CENTRALIZED /etc/sgml/catalog 2>/dev/null
++ grep -q "$SGML_CENTRALIZED" /etc/sgml/catalog 2>/dev/null
+ if [ $? -ne 0 ]
+ then
+ echo "`basename $0`: addition of $SGML_CENTRALIZED in /etc/sgml/catalog"
+- echo "$SGML_POINTER $SGML_CENTRALIZED" >> /etc/sgml/catalog
++ echo "$SGML_POINTER \"$SGML_CENTRALIZED\"" >> /etc/sgml/catalog
+ fi
+ ;;
+ removal)
+ echo "`basename $0`: removal of $SGML_ORDINARY from $SGML_CENTRALIZED"
+- if grep -q $SGML_ORDINARY $SGML_CENTRALIZED 2>/dev/null
++ if grep -q "$SGML_ORDINARY" "$SGML_CENTRALIZED" 2>/dev/null
+ then
+- sed -e "\:$SGML_POINTER $SGML_ORDINARY:d" < $SGML_CENTRALIZED > ${SGML_CENTRALIZED}.new
+- mv ${SGML_CENTRALIZED}.new $SGML_CENTRALIZED
++ sed -e "\:$SGML_POINTER \"\\?$SGML_ORDINARY\"\\?:d" < "$SGML_CENTRALIZED" > "${SGML_CENTRALIZED}.new"
++ mv "${SGML_CENTRALIZED}.new" "$SGML_CENTRALIZED"
+ else
+ echo "Warning: $SGML_ORDINARY was not found in the centralized catalog $SGML_CENTRALIZED" >&2
+ fi
+- if [ ! -s $SGML_CENTRALIZED ]
++ if [ ! -s "$SGML_CENTRALIZED" ]
+ then
+- rm $SGML_CENTRALIZED
++ rm "$SGML_CENTRALIZED"
+ echo "`basename $0`: removal of $SGML_CENTRALIZED from /etc/sgml/catalog"
+- sed -e "\:$SGML_POINTER $SGML_CENTRALIZED:d" < /etc/sgml/catalog > /etc/sgml/catalog.new
++ sed -e "\:$SGML_POINTER \"\\?$SGML_CENTRALIZED\"\\?:d" < /etc/sgml/catalog > /etc/sgml/catalog.new
+ mv /etc/sgml/catalog.new /etc/sgml/catalog
+ fi
+ ;;
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-umask.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-umask.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-umask.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,12 @@
+--- sgml-common-0.6.3/bin/install-catalog.in.umask Mon May 21 11:48:37 2001
++++ sgml-common-0.6.3/bin/install-catalog.in Mon May 21 12:00:34 2001
+@@ -13,6 +13,9 @@
+ \040 -h, --help: \t\t\t\t Print this help message and exit\n\
+ \040 -v, --version: \t\t\t Print the version number and exit\n"
+
++# We need the files we create to be world readable
++umask 022
++
+ # Set version message
+ SGML_VERSION_MESSAGE="sgml-common version 0.2 (install-catalog version 1.0)"
+
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-xmldir.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-xmldir.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/sgml-common-xmldir.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,8 @@
+--- sgml-common-0.6.3/xml-iso-entities/Makefile.am.xmldir Fri Oct 5 16:37:43 2001
++++ sgml-common-0.6.3/xml-iso-entities/Makefile.am Fri Oct 5 16:37:57 2001
+@@ -1,4 +1,4 @@
+-isoentdir = $(prefix)/share/sgml/xml-iso-entities-8879.1986
++isoentdir = $(prefix)/share/xml/xml-iso-entities-8879.1986
+ isoent_DATA = ISOamsa.ent ISOamsb.ent ISOamsc.ent ISOamsn.ent ISOamso.ent ISOamsr.ent \
+ ISObox.ent ISOcyr1.ent ISOcyr2.ent ISOdia.ent ISOgrk1.ent ISOgrk2.ent \
+ ISOgrk3.ent ISOgrk4.ent ISOlat1.ent ISOlat2.ent ISOnum.ent ISOpub.ent \
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/sgmlwhich-sanity.patch
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/sgmlwhich-sanity.patch (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/sgmlwhich-sanity.patch 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,10 @@
+--- sgml-common-0.6.3/bin/sgmlwhich.orig 2000-11-17 09:36:10.000000000 +0100
++++ sgml-common-0.6.3/bin/sgmlwhich 2008-11-28 19:59:16.764293172 +0100
+@@ -3,5 +3,6 @@
+ # Send any comments to Eric Bischoff <eric at caldera.de>
+ # This program is under GPL license. See LICENSE file for details.
+
+-echo "/etc/sgml/sgml.conf"
++# modified for CSW (this should be handled with autoconf, but i'm lazy)
++echo "/opt/csw/etc/sgml/sgml.conf"
+ # Simple, isn't it? ;-)
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/xml.dcl
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/xml.dcl (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/xml.dcl 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1,179 @@
+<!SGML -- SGML Declaration for valid XML documents --
+ "ISO 8879:1986 (WWW)"
+
+ CHARSET
+ BASESET
+ "ISO Registration Number 176//CHARSET
+ ISO/IEC 10646-1:1993 UCS-4 with implementation
+ level 3//ESC 2/5 2/15 4/6"
+ DESCSET
+ 0 9 UNUSED
+ 9 2 9
+ 11 2 UNUSED
+ 13 1 13
+ 14 18 UNUSED
+ 32 95 32
+ 127 1 UNUSED
+ 128 32 UNUSED
+ -- use this instead of the official declaration because SP only
+ supports 16-bit characters --
+ 160 65374 160
+ 65534 2 UNUSED
+ -- 55296 2048 UNUSED
+ 57344 8190 57344
+ 65534 2 UNUSED
+ 65536 1048576 65536 --
+ CAPACITY NONE
+
+ SCOPE DOCUMENT
+
+ SYNTAX
+ SHUNCHAR NONE
+ BASESET "ISO Registration Number 176//CHARSET
+ ISO/IEC 10646-1:1993 UCS-4 with implementation
+ level 3//ESC 2/5 2/15 4/6"
+ DESCSET
+ 0 1114112 0
+ FUNCTION
+ RE 13
+ RS 10
+ SPACE 32
+ TAB SEPCHAR 9
+
+ NAMING
+ LCNMSTRT ""
+ UCNMSTRT ""
+ NAMESTRT
+ 58 95 192-214 216-246 248-305 308-318 321-328
+ 330-382 384-451 461-496 500-501 506-535 592-680
+ 699-705 902 904-906 908 910-929 931-974 976-982
+ 986 988 990 992 994-1011 1025-1036 1038-1103
+ 1105-1116 1118-1153 1168-1220 1223-1224
+ 1227-1228 1232-1259 1262-1269 1272-1273
+ 1329-1366 1369 1377-1414 1488-1514 1520-1522
+ 1569-1594 1601-1610 1649-1719 1722-1726
+ 1728-1742 1744-1747 1749 1765-1766 2309-2361
+ 2365 2392-2401 2437-2444 2447-2448 2451-2472
+ 2474-2480 2482 2486-2489 2524-2525 2527-2529
+ 2544-2545 2565-2570 2575-2576 2579-2600
+ 2602-2608 2610-2611 2613-2614 2616-2617
+ 2649-2652 2654 2674-2676 2693-2699 2701
+ 2703-2705 2707-2728 2730-2736 2738-2739
+ 2741-2745 2749 2784 2821-2828 2831-2832
+ 2835-2856 2858-2864 2866-2867 2870-2873 2877
+ 2908-2909 2911-2913 2949-2954 2958-2960
+ 2962-2965 2969-2970 2972 2974-2975 2979-2980
+ 2984-2986 2990-2997 2999-3001 3077-3084
+ 3086-3088 3090-3112 3114-3123 3125-3129
+ 3168-3169 3205-3212 3214-3216 3218-3240
+ 3242-3251 3253-3257 3294 3296-3297 3333-3340
+ 3342-3344 3346-3368 3370-3385 3424-3425
+ 3585-3630 3632 3634-3635 3648-3653 3713-3714
+ 3716 3719-3720 3722 3725 3732-3735 3737-3743
+ 3745-3747 3749 3751 3754-3755 3757-3758 3760
+ 3762-3763 3773 3776-3780 3904-3911 3913-3945
+ 4256-4293 4304-4342 4352 4354-4355 4357-4359
+ 4361 4363-4364 4366-4370 4412 4414 4416 4428
+ 4430 4432 4436-4437 4441 4447-4449 4451 4453
+ 4455 4457 4461-4462 4466-4467 4469 4510 4520
+ 4523 4526-4527 4535-4536 4538 4540-4546 4587
+ 4592 4601 7680-7835 7840-7929 7936-7957
+ 7960-7965 7968-8005 8008-8013 8016-8023 8025
+ 8027 8029 8031-8061 8064-8116 8118-8124 8126
+ 8130-8132 8134-8140 8144-8147 8150-8155
+ 8160-8172 8178-8180 8182-8188 8486 8490-8491
+ 8494 8576-8578 12295 12321-12329 12353-12436
+ 12449-12538 12549-12588 19968-40869 44032-55203
+
+ LCNMCHAR ""
+ UCNMCHAR ""
+ NAMECHAR
+ 45-46 183 720-721 768-837 864-865 903 1155-1158
+ 1425-1441 1443-1465 1467-1469 1471 1473-1474
+ 1476 1600 1611-1618 1632-1641 1648 1750-1764
+ 1767-1768 1770-1773 1776-1785 2305-2307 2364
+ 2366-2381 2385-2388 2402-2403 2406-2415
+ 2433-2435 2492 2494-2500 2503-2504 2507-2509
+ 2519 2530-2531 2534-2543 2562 2620 2622-2626
+ 2631-2632 2635-2637 2662-2673 2689-2691 2748
+ 2750-2757 2759-2761 2763-2765 2790-2799
+ 2817-2819 2876 2878-2883 2887-2888 2891-2893
+ 2902-2903 2918-2927 2946-2947 3006-3010
+ 3014-3016 3018-3021 3031 3047-3055 3073-3075
+ 3134-3140 3142-3144 3146-3149 3157-3158
+ 3174-3183 3202-3203 3262-3268 3270-3272
+ 3274-3277 3285-3286 3302-3311 3330-3331
+ 3390-3395 3398-3400 3402-3405 3415 3430-3439
+ 3633 3636-3642 3654-3662 3664-3673 3761
+ 3764-3769 3771-3772 3782 3784-3789 3792-3801
+ 3864-3865 3872-3881 3893 3895 3897 3902-3903
+ 3953-3972 3974-3979 3984-3989 3991 3993-4013
+ 4017-4023 4025 8400-8412 8417 12293 12330-12335
+ 12337-12341 12441-12442 12445-12446 12540-12542
+
+ NAMECASE
+ GENERAL NO
+ ENTITY NO
+
+ DELIM
+ GENERAL SGMLREF
+ HCRO "&#x" -- 38 is the number for ampersand --
+ NESTC "/"
+ NET ">"
+ PIC "?>"
+ SHORTREF NONE
+
+ NAMES
+ SGMLREF
+
+ QUANTITY NONE
+
+ ENTITIES
+ "amp" 38
+ "lt" 60
+ "gt" 62
+ "quot" 34
+ "apos" 39
+
+ FEATURES
+ MINIMIZE
+ DATATAG NO
+ OMITTAG NO
+ RANK NO
+ SHORTTAG
+ STARTTAG
+ EMPTY NO
+ UNCLOSED NO
+ NETENABL IMMEDNET
+ ENDTAG
+ EMPTY NO
+ UNCLOSED NO
+ ATTRIB
+ DEFAULT YES
+ OMITNAME NO
+ VALUE NO
+ EMPTYNRM YES
+ IMPLYDEF
+ ATTLIST NO
+ DOCTYPE NO
+ ELEMENT NO
+ ENTITY NO
+ NOTATION NO
+ LINK
+ SIMPLE NO
+ IMPLICIT NO
+ EXPLICIT NO
+ OTHER
+ CONCUR NO
+ SUBDOC NO
+ FORMAL NO
+ URN NO
+ KEEPRSRE YES
+ VALIDITY TYPE
+ ENTITIES
+ REF ANY
+ INTEGRAL YES
+ APPINFO NONE
+ SEEALSO "ISO 8879:1986//NOTATION
+ Extensible Markup Language (XML) 1.0//EN"
+>
Added: csw/mgar/pkg/sgml-xml-common/trunk/files/xml.soc
===================================================================
--- csw/mgar/pkg/sgml-xml-common/trunk/files/xml.soc (rev 0)
+++ csw/mgar/pkg/sgml-xml-common/trunk/files/xml.soc 2008-11-28 21:36:38 UTC (rev 2386)
@@ -0,0 +1 @@
+SGMLDECL "xml.dcl"
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
More information about the devel
mailing list